import { MultiMapObject } from '../API';
import { CRUDService, ICrudService } from '../core';
export declare class MultiMapObjectService extends CRUDService<MultiMapObject> {
    protected hasOneModels: ICrudService<MultiMapObject>['hasOneModels'];
    get get(): (id: string, options?: Omit<import("@apollo/client").QueryOptions<import("../API").Exact<{
        id: string;
    }>, import("../API").MultiMapObjectGetQuery>, "query">) => Promise<{
        __typename?: "MultiMapObject";
        id: string;
        created_at: any;
        updated_at: any;
        organizationID: string;
        automationID?: string;
        customAlias?: string;
        defaultValue?: string;
        hasCustomAlias?: boolean;
        jobID?: string;
        sourceMapID?: string;
        targetMapID?: string;
    }>;
    get useGet(): (options: import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").MultiMapObjectGetQuery, import("../API").Exact<{
        id: string;
    }>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").MultiMapObjectGetQuery, import("../API").Exact<{
            id: string;
        }>>;
        data: import("../API").MultiMapObjectGetQuery;
        previousData?: import("../API").MultiMapObjectGetQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").MultiMapObjectGetQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").MultiMapObjectGetQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(mapFn: (previousQueryResult: import("../API").MultiMapObjectGetQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").MultiMapObjectGetQuery>, "variables">) => import("../API").MultiMapObjectGetQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            id: string;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").MultiMapObjectGetQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            id: string;
        }>, import("../API").MultiMapObjectGetQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").MultiMapObjectGetQuery>>;
        variables: import("../API").Exact<{
            id: string;
        }>;
        fetchMore: <TFetchData = import("../API").MultiMapObjectGetQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            id: string;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").MultiMapObjectGetQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").MultiMapObjectGetQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get create(): (input: Partial<Record<never, import("../../..").ModelWithId[]> & Record<import("../core").HasOneRelationsOf<MultiMapObject>, import("../../..").ModelWithId>> & Omit<import("../API").CreateMultiMapObject, import("../core").HasOneRelationsOf<MultiMapObject>>, options?: import("../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").MultiMapObjectCreateOneMutation, import("../API").Exact<{
        input: import("../API").CreateMultiMapObject;
    }>>>) => Promise<{
        __typename?: "MultiMapObject";
        id: string;
        created_at: any;
        updated_at: any;
        organizationID: string;
        automationID?: string;
        customAlias?: string;
        defaultValue?: string;
        hasCustomAlias?: boolean;
        jobID?: string;
        sourceMapID?: string;
        targetMapID?: string;
    }>;
    get useCreate(): (options?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").MultiMapObjectCreateOneMutation, import("../API").Exact<{
        input: import("../API").CreateMultiMapObject;
    }>>>>) => [(payload: import("../core").InputAndRelations<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").MultiMapObjectCreateOneMutation, import("../API").Exact<{
        input: import("../API").CreateMultiMapObject;
    }>>, MultiMapObject>) => Promise<{
        __typename?: "MultiMapObject";
        id: string;
        created_at: any;
        updated_at: any;
        organizationID: string;
        automationID?: string;
        customAlias?: string;
        defaultValue?: string;
        hasCustomAlias?: boolean;
        jobID?: string;
        sourceMapID?: string;
        targetMapID?: string;
    }>, import("@apollo/client").MutationResult<{
        createOne: import("../../..").ModelWithId;
    }>];
    get delete(): (id: string, options?: import("../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").MultiMapObjectDeleteOneMutation, import("../API").Exact<{
        input: import("../API").DeleteOneMultiMapObjectInput;
    }>>>) => Promise<{
        __typename?: "MultiMapObjectDeleteResponse";
        id?: string;
    }>;
    get useDelete(): (options?: import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").MultiMapObjectDeleteOneMutation, import("../API").Exact<{
        input: import("../API").DeleteOneMultiMapObjectInput;
    }>>>) => [(id?: string) => Promise<{
        __typename?: "MultiMapObjectDeleteResponse";
        id?: string;
    }>, import("@apollo/client").MutationResult<import("../API").MultiMapObjectDeleteOneMutation>];
    get update(): (input: Partial<Record<never, import("../../..").ModelWithId[]> & Record<import("../core").HasOneRelationsOf<MultiMapObject>, import("../../..").ModelWithId>> & Omit<import("../API").UpdateMultiMapObject, import("../core").HasOneRelationsOf<MultiMapObject>> & {
        id: string;
    }, options?: import("../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").MultiMapObjectUpdateOneMutation, import("../API").Exact<{
        input: import("../API").UpdateOneMultiMapObjectInput;
    }>>>) => Promise<{
        __typename?: "MultiMapObject";
        id: string;
        created_at: any;
        updated_at: any;
        organizationID: string;
        automationID?: string;
        customAlias?: string;
        defaultValue?: string;
        hasCustomAlias?: boolean;
        jobID?: string;
        sourceMapID?: string;
        targetMapID?: string;
    }>;
    get useUpdate(): (mainOptions?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").MultiMapObjectUpdateOneMutation, import("../API").Exact<{
        input: import("../API").UpdateOneMultiMapObjectInput;
    }>>>>) => [({ id, ...input }: Partial<Record<never, import("../../..").ModelWithId[]> & Record<import("../core").HasOneRelationsOf<MultiMapObject>, import("../../..").ModelWithId>> & import("../API").UpdateMultiMapObject & {
        id: string;
    }, options?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").MultiMapObjectUpdateOneMutation, import("../API").Exact<{
        input: import("../API").UpdateOneMultiMapObjectInput;
    }>>>>) => Promise<Record<string, unknown>>, import("@apollo/client").MutationResult<{
        updateOne: Record<string, unknown>;
    }>];
    get list(): (input: import("../API").Exact<{
        filter?: import("../API").MultiMapObjectFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").MultiMapObjectSort | import("../API").MultiMapObjectSort[];
    }>, options?: import("../core").ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").MultiMapObjectListQuery, import("../API").Exact<{
        filter?: import("../API").MultiMapObjectFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").MultiMapObjectSort | import("../API").MultiMapObjectSort[];
    }>>>) => Promise<{
        __typename?: "MultiMapObjectConnection";
        totalCount: number;
        edges: {
            __typename?: "MultiMapObjectEdge";
            node: {
                __typename?: "MultiMapObject";
                id: string;
                created_at: any;
                updated_at: any;
                organizationID: string;
                automationID?: string;
                customAlias?: string;
                defaultValue?: string;
                hasCustomAlias?: boolean;
                jobID?: string;
                sourceMapID?: string;
                targetMapID?: string;
            };
        }[];
        pageInfo: {
            __typename?: "PageInfo";
            endCursor?: any;
            startCursor?: any;
            hasNextPage?: boolean;
            hasPreviousPage?: boolean;
        };
    }>;
    get useList(): (options: import("../core").CacheUpdateOptions<import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").MultiMapObjectListQuery, import("../API").Exact<{
        filter?: import("../API").MultiMapObjectFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").MultiMapObjectSort | import("../API").MultiMapObjectSort[];
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").MultiMapObjectListQuery, import("../API").Exact<{
            filter?: import("../API").MultiMapObjectFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").MultiMapObjectSort | import("../API").MultiMapObjectSort[];
        }>>;
        data: import("../API").MultiMapObjectListQuery;
        previousData?: import("../API").MultiMapObjectListQuery;
        error?: import("@apollo/client").ApolloError;
        errors?: readonly import("graphql").GraphQLFormattedError[];
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").MultiMapObjectListQuery, TSubscriptionVariables extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").MultiMapObjectFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").MultiMapObjectSort | import("../API").MultiMapObjectSort[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").MultiMapObjectListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").MultiMapObjectFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").MultiMapObjectSort | import("../API").MultiMapObjectSort[];
        }>>(mapFn: (previousQueryResult: import("../API").MultiMapObjectListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").MultiMapObjectListQuery>, "variables">) => import("../API").MultiMapObjectListQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            filter?: import("../API").MultiMapObjectFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").MultiMapObjectSort | import("../API").MultiMapObjectSort[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").MultiMapObjectListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            filter?: import("../API").MultiMapObjectFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").MultiMapObjectSort | import("../API").MultiMapObjectSort[];
        }>, import("../API").MultiMapObjectListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").MultiMapObjectListQuery>>;
        variables: import("../API").Exact<{
            filter?: import("../API").MultiMapObjectFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").MultiMapObjectSort | import("../API").MultiMapObjectSort[];
        }>;
        fetchMore: <TFetchData = import("../API").MultiMapObjectListQuery, TFetchVars extends import("@apollo/client").OperationVariables = import("../API").Exact<{
            filter?: import("../API").MultiMapObjectFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").MultiMapObjectSort | import("../API").MultiMapObjectSort[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").MultiMapObjectListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").MultiMapObjectListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
}
